Bug 1026849 - Qunit issues jboss-html5-mobile-archetype
Qunit issues jboss-html5-mobile-archetype
Status: CLOSED INSUFFICIENT_DATA
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Examples (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Muir
Stefan Miklosovic
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 09:21 EST by Tolis Emmanouilidis
Modified: 2015-08-02 19:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 10:15:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tolis Emmanouilidis 2013-11-05 09:21:03 EST
Document URL: 

Section Number and Name: 

Describe the issue: 
jboss-html5-mobile-archetype version 7.1.3.Final

The qunit.js and qUnit.css should NOT have the JBoss license. They should have the jQuery MIT license.

In addition the Qunit tests are failing due to a wrong script src path.

Suggestions for improvement: 

Replace <script type="text/javascript" src="../../main/webapp/js/libs/lodash-1.3.1.js"></script> with <script type="text/javascript" src="../../main/webapp/js/libs/lodash-1.3.1.js"></script> inside test/qunit/index.html

Additional information:

Note You need to log in before you can comment on or make changes to this bug.